Bug 1415686 - (phpmyadmin/sql-parser) Review Request: php-phpmyadmin-sql-parser - A validating SQL lexer and parser with a focus on MySQL dialect
Review Request: php-phpmyadmin-sql-parser - A validating SQL lexer and parser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
: Reopened
Depends On: phpmyadmin/motranslato
Blocks: 1437273
  Show dependency treegraph
 
Reported: 2017-01-23 07:44 EST by Remi Collet
Modified: 2017-05-31 17:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-31 17:28:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (23.05 KB, text/plain)
2017-04-29 14:48 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (13.72 KB, text/plain)
2017-04-29 14:48 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (28.11 KB, text/plain)
2017-04-29 14:49 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2017-01-23 07:44:08 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/00671c6714d4987c8163c8d4a9ed187985001ab2/php/php-phpmyadmin-sql-parser/php-phpmyadmin-sql-parser.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-phpmyadmin-sql-parser-4.0.0-1.remi.src.rpm
Description: 
A validating SQL lexer and parser with a focus on MySQL dialect.

This library was originally developed for phpMyAdmin during
the Google Summer of Code 2015.

Autoloader: /usr/share/php/PhpMyAdmin/SqlParser/autoload.php


Fedora Account System Username: remi

Introduce PhpMyAdmin "vendor" namespace, so not BC.
So this package is v4, php-udan11-sql-parser is v3 (and will be retired soon)

See (drop commands)
http://pkgs.fedoraproject.org/cgit/rpms/php-udan11-sql-parser.git/commit/?h=master&id=b35782e5dce59091901ccf7339196934a202f6ca
Comment 1 Remi Collet 2017-01-23 07:48:50 EST
Of course, I mean "BC break, not compatible with v3"
Comment 6 Shawn Iwinski 2017-04-29 14:48 EDT
Created attachment 1275186 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.6 DB version 1.19.0 built Mar 17 2017 07:03:16 CET
Comment 7 Shawn Iwinski 2017-04-29 14:48 EDT
Created attachment 1275187 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.6 DB version 1.19.0 built Mar 17 2017 07:03:16 CET
Comment 8 Shawn Iwinski 2017-04-29 14:49 EDT
Created attachment 1275188 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1415686
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 9 Shawn Iwinski 2017-04-29 14:50:41 EDT
No blockers.

===== APPROVED =====
Comment 10 Shawn Iwinski 2017-04-29 14:53:33 EDT
Minor typo near %files:

    %if 0%{?rhel} >= 12 || 0%{?rhel} >= 7

should be:

    %if 0%{?fedora} >= 12 || 0%{?rhel} >= 7

please fix after initial import.
Comment 11 Remi Collet 2017-04-30 00:32:24 EDT

Thanks for the review.

New package requested on pkgdb.
Comment 12 Gwyn Ciesla 2017-04-30 18:21:40 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-phpmyadmin-sql-parser
Comment 13 Fedora Update System 2017-05-01 00:48:51 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac62a9901f
Comment 14 Fedora Update System 2017-05-01 00:49:00 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b74532eb9f
Comment 15 Fedora Update System 2017-05-01 00:49:05 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b5db03f58
Comment 16 Fedora Update System 2017-05-01 00:49:10 EDT
php-phpmyadmin-sql-parser-4.1.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-633b2ecd8a
Comment 17 Fedora Update System 2017-05-01 23:30:26 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b5db03f58
Comment 18 Fedora Update System 2017-05-02 01:04:43 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b74532eb9f
Comment 19 Fedora Update System 2017-05-02 02:36:56 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac62a9901f
Comment 20 Fedora Update System 2017-05-02 02:55:28 EDT
php-phpmyadmin-sql-parser-4.1.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-633b2ecd8a
Comment 21 Fedora Update System 2017-05-05 09:02:43 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b5db03f58
Comment 22 Fedora Update System 2017-05-05 09:03:06 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b74532eb9f
Comment 23 Fedora Update System 2017-05-05 09:04:32 EDT
php-phpmyadmin-sql-parser-4.1.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-633b2ecd8a
Comment 24 Fedora Update System 2017-05-05 09:33:35 EDT
php-phpmyadmin-sql-parser-4.1.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2017-05-05 16:58:40 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b74532eb9f
Comment 26 Fedora Update System 2017-05-05 17:00:25 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6b5db03f58
Comment 27 Fedora Update System 2017-05-06 00:56:12 EDT
php-phpmyadmin-sql-parser-4.1.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-633b2ecd8a
Comment 28 Fedora Update System 2017-05-15 00:26:30 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2017-05-15 00:34:49 EDT
php-phpmyadmin-sql-parser-4.1.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2017-05-15 12:54:41 EDT
php-phpmyadmin-sql-parser-4.1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2246580be3
Comment 31 Fedora Update System 2017-05-16 18:31:33 EDT
php-phpmyadmin-sql-parser-4.1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2246580be3
Comment 32 Fedora Update System 2017-05-31 17:28:12 EDT
php-phpmyadmin-sql-parser-4.1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.